XpGetOneAttribute(3Xp)

NAME
XpGetOneAttribute - Gets a single print attribute from the specified print context.

SYNOPSIS
      cc [ flag... ] file... -lXp [ library... ]
      #include <X11/extensions/Print.h>

char *XpGetOneAttribute ( display, context, type, attribute_name )
      Display *display;
      XPContext context;
      XPAttributes type;
      char *attribute_name;

ARGUMENTS

display
    Specifies a pointer to the Display structure; returned from XOpenDisplay.

context
    The print context from which the attribute pool is to be retrieved.

type
    Specifies the attribute pool.

attribute_name
    The name of the attribute to be returned.

DESCRIPTION

This request returns a COMPOUND_TEXT string attribute_value, else NULL if any errors occurred. XpGetOneAttribute is a variation of XpGetAttributes to get a single attribute value from an attribute pool. Unlike XpGetAttributes, where the reply contains an entire attribute pool, XpGetOneAttribute returns just one attribute_value. attribute_name should not include a colon. The caller is expected to free the attribute value returned using XFree.

DIAGNOSTICS

BadAlloc
    Insufficient memory.

BadValue
    The value specified for type is not valid.

XPBadContext
    The specified print context-id is not valid.

SEE ALSO
XpGetAttributes(3Xp)